Page MenuHomePhabricator

Watchlist Expiry: action=watch success message always in days if language is not English
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Description

What is the problem?

When submitting the action=watch form, if my interface language is non-English, it will report the period the page is watched for in days.

In English however, it will report based on the selection I made in the dropdown. For example, if I chose "1 week" it will report "1 week".

Followed up from T259055#6435646.

Steps to reproduce problem
  1. Go to https://en.wikipedia.beta.wmflabs.org/w/index.php?title=Kal%C4%81kaua&action=watch&uselang=fr (for example)
  2. Select "1 semaine" from the dropdown
  3. Submit

Expected behavior: Success message: « Kalākaua » et sa page de discussion ont été ajoutés à votre liste de suivi pour 1 semaine. (or whatever the correct French translation of this is)
Observed behavior: Success message: « Kalākaua » et sa page de discussion ont été ajoutés à votre liste de suivi pour 7 jours.

Screenshots (if applicable):


Acceptance Criteria
  • For non-English user interface languages, display the watch period in the same format as in English (i..e, by week or month rather than days)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2020, 2:23 PM
ifried updated the task description. (Show Details)Sep 10 2020, 4:52 PM
ARamirez_WMF set the point value for this task to 3.Sep 10 2020, 5:41 PM

Change 628043 had a related patch set uploaded (by Samwilson; owner: Samwilson):
[mediawiki/core@master] Use localized success message after watching via action=watch

https://gerrit.wikimedia.org/r/628043

Change 628043 merged by jenkins-bot:
[mediawiki/core@master] Use localized success message after watching via action=watch

https://gerrit.wikimedia.org/r/628043

Change 628210 had a related patch set uploaded (by MusikAnimal; owner: Samwilson):
[mediawiki/core@REL1_35] Use localized success message after watching via action=watch

https://gerrit.wikimedia.org/r/628210

Merged and backported. Ready for QA.

Change 628210 merged by jenkins-bot:
[mediawiki/core@REL1_35] Use localized success message after watching via action=watch

https://gerrit.wikimedia.org/r/628210

I can no longer reproduce this issue.

Test environment: https://en.wikipedia.beta.wmflabs.org MediaWiki 1.36.0-alpha (2a5dbf7) 2020-09-18T11:52:11.

ifried closed this task as Resolved.Sep 18 2020, 11:09 PM
ifried added a subscriber: ifried.

I have tested this on beta, and I'm no longer able to reproduce the issue. The text now displays the watch period as a week/month rather than days (see attached screenshot). For this reason, I'm marking this as Done.